%define major 2
%define sfbpfmajor 0
%define libname %mklibname %{name} %{major}
%define libsfbpf %mklibname sfbpf %{sfbpfmajor}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

Summary:	Data Acquisition library, for packet I/O
Name:		daq
Version:	2.0.2
Release:	2
License:	GPLv2+
Group:		Networking/Other
Url:		http://www.snort.org/
Source0:	%{name}-%{version}.tar.gz
Patch0:		daq-2.0.2-parallel-grammar.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	dnet-devel
BuildRequires:	pcap-devel
BuildRequires:	pkgconfig(libipq)
BuildRequires:	pkgconfig(libnetfilter_queue)
BuildRequires:	pkgconfig(xtables)

%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for DAQ
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%files -n %{libname}
%{_libdir}/libdaq.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libsfbpf}
Summary:	Library for DAQ
Group:		System/Libraries

%description -n %{libsfbpf}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%files -n %{libsfbpf}
%{_libdir}/libsfbpf.so.%{sfbpfmajor}*

#----------------------------------------------------------------------------

%package -n %{name}-modules
Summary:	Bundled DAQ modules
Group:		System/Libraries
Provides:	%{name}-modules = %{EVRD}

%description -n %{name}-modules
Contains the DAQ modules that come bundled with the base LibDAQ distribution.

%files -n %{name}-modules
%doc README
%{_libdir}/daq/daq_afpacket.so
%{_libdir}/daq/daq_dump.so
#%{_libdir}/daq/daq_ipq.so
%{_libdir}/daq/daq_nfq.so
%{_libdir}/daq/daq_pcap.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries and header files for DAQ
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libsfbpf} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development libraries and header files for %{name}.

%files -n %{devname}
%{_bindir}/daq-modules-config
%{_includedir}/*.h
%{_libdir}/*.so

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libraries for DAQ
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
This package contains the static libraries for %{name}.

%files -n %{sdevname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-ipfw-module

%make

%install
%makeinstall_std


%changelog
* Mon Jul 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.2-2
+ Revision: e52eb8c
- Fix typo


